export default defineNuxtConfig({
  //taget: "static",
  ssr: true,
  app: {
    head: {
      title: '',
      meta: [
        { name: 'description', content: '' },
        { name: 'keywords', content: '' },
      ],
    },
  },
  compatibilityDate: '2025-02-28',
  devtools: { enabled: true },
  module: [
    '@nuxtjs/style-resources',
    '@element-plus/nuxt',
    "@gauseen/nuxt-proxy",
    '@pinia/nuxt',
  ],
  css: [
    '~/assets/css/static/global.css',
    '~/assets/css/static/font.css',
    'element-plus/dist/index.css',
    'element-plus/theme-chalk/display.css'
  ],
  build: {
    publicPath: '/',
    transpile: ['#app-manifest'],
  },
  nitro: {
    devServer: {
      port:10000, // 指定生产服务器的端口
    }
  },
  plugins: [
    '@/plugins/element-plus',
    {
      src: '@/plugins/request',
      mode: 'client'
    }
  ],
  vite: {
    optimizeDeps: {
      include: ['#app-manifest'], // 强制包含该模块
    },
    server: {
      watch: {
        // 忽略某些文件的监听
        ignored: ['**/node_modules/nuxt/dist/app/composables/manifest.js']
      }
    }
  }
})